Bug 1566179 - MariaDB / MySQL long password aren't accepted via password prompt
Summary: MariaDB / MySQL long password aren't accepted via password prompt
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mariadb
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michal Schorm
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 17:36 UTC by Michal Schorm
Modified: 2018-05-17 05:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-16 12:30:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Michal Schorm 2018-04-11 17:36:04 UTC
When using:

  mysql -u user -p

MariaDB / MySQL server will ask for the password.

If the string provided is longer that 79 characters, the server will always return an ERROR:

  # mysql -u user -p
  Enter password: 
  ERROR 1045 (28000): Access denied for user 'user'@'localhost' (using password: YES)

--

Reproducible on both MariaDB, MySQL in RHEL, RHSCL and Fedora.

Reproducer:


CREATE USER 'user'@'localhost';
SET PASSWORD FOR 'user'@'localhost' = PASSWORD('1111111111111111111111111111111111111111111111111122222222222222222222222221234');

mysql -u user -p


SET PASSWORD FOR 'user'@'localhost' = PASSWORD('11111111111111111111111111111111111111111111111111222222222222222222222222212345');

mysql -u user -p

Comment 2 Michal Schorm 2018-05-16 12:30:05 UTC
Expected:
The array for the password is capped to 80 chars.

https://github.com/MariaDB/server/blob/10.3/mysys/get_password.c#L63

Comment 3 Daniel Black 2018-05-17 05:22:39 UTC
Before I get caught out by providing a link to the windows code section,
linux has the same limit: https://github.com/MariaDB/server/blob/10.3/mysys/get_password.c#L155

The lack of a meaningful error message is a bit ugly.


Note You need to log in before you can comment on or make changes to this bug.